import { AgreementsInterface, Agreement, AppAreas } from '..'
import Vue from 'vue'

export default class _default implements AgreementsInterface {
  appArea: AppAreas = 'all'

  processAgreement(
    rootState: any,
    rootGetters: any,
    country: string,
    links: { [p: string]: string }
  ): Agreement | null {
    let agreement: Agreement = {
      name: 'all',
      messages: [
        Vue.i18n.translate('Eshop.Order.GlobalWords.IAgreeToElkenGlobal', {
          link: `<a target='_blank' href='${links['rulesAndRegulations']}'>${Vue.i18n.translate(
            `Eshop.Order.GlobalWords.RulesAndRegulations`
          )}</a>`,
        })! +
          ' & ' +
          `<a target='_blank' href='${links['shipping']}'>${Vue.i18n.translate(
            'Common.Agreement.DeliveryTnc.Title'
          )}</a>`,
      ],
    }

    return agreement
  }
}
